public static Object callSpecial(Context cx,Callable fun,Scriptable thisObj,Object[] args,Scriptable scope,Scriptable callerThis,int callType,String filename,int lineNumber){
  if (callType == Node.SPECIALCALL_EVAL) {
    if (NativeGlobal.isEvalFunction(fun)) {
      return evalSpecial(cx,scope,callerThis,args,filename,lineNumber);
    }
  }
 else   if (callType == Node.SPECIALCALL_WITH) {
    if (NativeWith.isWithFunction(fun)) {
      throw Context.reportRuntimeError1("msg.only.from.new","With");
    }
  }
 else {
    throw Kit.codeBug();
  }
  return fun.call(cx,scope,thisObj,args);
}
