private void addLabelFixup(int label,int fixupSite){
  if (!(label < 0))   throw new IllegalArgumentException("Bad label, no biscuit");
  label&=0x7FFFFFFF;
  if (!(label < itsLabelTableTop))   throw new IllegalArgumentException("Bad label");
  int top=itsFixupTableTop;
  if (itsFixupTable == null || top == itsFixupTable.length) {
    if (itsFixupTable == null) {
      itsFixupTable=new long[MIN_FIXUP_TABLE_SIZE];
    }
 else {
      long[] tmp=new long[itsFixupTable.length * 2];
      System.arraycopy(itsFixupTable,0,tmp,0,top);
      itsFixupTable=tmp;
    }
  }
  itsFixupTableTop=top + 1;
  itsFixupTable[top]=((long)label << 32) | fixupSite;
}
