void closeSwitch(Node switchBlock){
  if (switchBlock.getType() != Token.BLOCK)   throw Kit.codeBug();
  Node.Jump switchNode=(Node.Jump)switchBlock.getFirstChild();
  if (switchNode.getType() != Token.SWITCH)   throw Kit.codeBug();
  Node switchBreakTarget=Node.newTarget();
  switchNode.target=switchBreakTarget;
  Node defaultTarget=switchNode.getDefault();
  if (defaultTarget == null) {
    defaultTarget=switchBreakTarget;
  }
  switchBlock.addChildAfter(makeJump(Token.GOTO,defaultTarget),switchNode);
  switchBlock.addChildToBack(switchBreakTarget);
}
