/** 
 * Decompile a JavaScript Function. <p> Decompiles a previously compiled JavaScript function object to canonical source. <p> Returns function body of '[native code]' if no decompilation information is available.
 * @param fun the JavaScript function to decompile
 * @param indent the number of spaces to indent the result
 * @return a string representing the function source
 */
public final String decompileFunction(Function fun,int indent){
  if (fun instanceof BaseFunction)   return ((BaseFunction)fun).decompile(indent,0);
 else   return "function " + fun.getClassName() + "() {\n\t[native code]\n}\n";
}
