private boolean generateSaveLocals(Node node){
  int count=0;
  for (int i=0; i < firstFreeLocal; i++) {
    if (locals[i] != 0)     count++;
  }
  if (count == 0) {
    ((FunctionNode)scriptOrFn).addLiveLocals(node,null);
    return false;
  }
  maxLocals=maxLocals > count ? maxLocals : count;
  int[] ls=new int[count];
  int s=0;
  for (int i=0; i < firstFreeLocal; i++) {
    if (locals[i] != 0) {
      ls[s]=i;
      s++;
    }
  }
  ((FunctionNode)scriptOrFn).addLiveLocals(node,ls);
  generateGetGeneratorLocalsState();
  for (int i=0; i < count; i++) {
    cfw.add(ByteCode.DUP);
    cfw.addLoadConstant(i);
    cfw.addALoad(ls[i]);
    cfw.add(ByteCode.AASTORE);
  }
  cfw.add(ByteCode.POP);
  return true;
}
