/** 
 * Get the elements of a JavaScript array. <p> If the object defines a length property convertible to double number, then the number is converted Uint32 value as defined in Ecma 9.6 and Java array of that size is allocated. The array is initialized with the values obtained by calling get() on object for each value of i in [0,length-1]. If there is not a defined value for a property the Undefined value is used to initialize the corresponding element in the array. The Java array is then returned. If the object doesn't define a length property or it is not a number, empty array is returned.
 * @param object the JavaScript array or array-like object
 * @return a Java array of objects
 * @since 1.4 release 2
 */
public final Object[] getElements(Scriptable object){
  return ScriptRuntime.getArrayElements(object);
}
