/** 
 * Get the implementation version. <p> The implementation version is of the form <pre> "<i>name langVer</i> <code>release</code> <i>relNum date</i>" </pre> where <i>name</i> is the name of the product, <i>langVer</i> is the language version, <i>relNum</i> is the release number, and <i>date</i> is the release date for that specific release in the form "yyyy mm dd".
 * @return a string that encodes the product, language version, releasenumber, and date.
 */
public final String getImplementationVersion(){
  if (implementationVersion == null) {
    implementationVersion=ScriptRuntime.getMessage0("implementation.version");
  }
  return implementationVersion;
}
