/** 
 * Get threshold of executed instructions counter that triggers call to <code>observeInstructionCount()</code>. When the threshold is zero, instruction counting is disabled, otherwise each time the run-time executes at least the threshold value of script instructions, <code>observeInstructionCount()</code> will be called.
 */
public final int getInstructionObserverThreshold(){
  return instructionThreshold;
}
