public static Object getObjectElem(Scriptable obj,Object elem,Context cx){
  if (obj instanceof XMLObject) {
    XMLObject xmlObject=(XMLObject)obj;
    return xmlObject.ecmaGet(cx,elem);
  }
  Object result;
  String s=toStringIdOrIndex(cx,elem);
  if (s == null) {
    int index=lastIndexResult(cx);
    result=ScriptableObject.getProperty(obj,index);
  }
 else {
    result=ScriptableObject.getProperty(obj,s);
  }
  if (result == Scriptable.NOT_FOUND) {
    result=Undefined.instance;
  }
  return result;
}
