private boolean getterSetterProperty(ObjArray elems,Object property,boolean isGetter) throws IOException {
  Node f=function(FunctionNode.FUNCTION_EXPRESSION);
  if (f.getType() != Token.FUNCTION) {
    reportError("msg.bad.prop");
    return false;
  }
  int fnIndex=f.getExistingIntProp(Node.FUNCTION_PROP);
  FunctionNode fn=currentScriptOrFn.getFunctionNode(fnIndex);
  if (fn.getFunctionName().length() != 0) {
    reportError("msg.bad.prop");
    return false;
  }
  elems.add(property);
  if (isGetter) {
    elems.add(nf.createUnary(Token.GET,f));
  }
 else {
    elems.add(nf.createUnary(Token.SET,f));
  }
  return true;
}
