/** 
 * Checks that every return usage in a function body is consistent with the requirements of strict-mode.
 * @return true if the function satisfies strict mode requirement.
 */
public boolean hasConsistentReturnUsage(){
  int n=endCheck();
  return (n & END_RETURNS_VALUE) == 0 || (n & (END_DROPS_OFF | END_RETURNS | END_YIELDS)) == 0;
}
