public static void initFunction(Context cx,Scriptable scope,NativeFunction function,int type,boolean fromEvalCode){
  if (type == FunctionNode.FUNCTION_STATEMENT) {
    String name=function.getFunctionName();
    if (name != null && name.length() != 0) {
      if (!fromEvalCode) {
        ScriptableObject.defineProperty(scope,name,function,ScriptableObject.PERMANENT);
      }
 else {
        scope.put(name,scope,function);
      }
    }
  }
 else   if (type == FunctionNode.FUNCTION_EXPRESSION_STATEMENT) {
    String name=function.getFunctionName();
    if (name != null && name.length() != 0) {
      while (scope instanceof NativeWith) {
        scope=scope.getParentScope();
      }
      scope.put(name,scope,function);
    }
  }
 else {
    throw Kit.codeBug();
  }
}
