private static int printSourceString(String source,int offset,boolean asQuotedString,StringBuffer sb){
  int length=source.charAt(offset);
  ++offset;
  if ((0x8000 & length) != 0) {
    length=((0x7FFF & length) << 16) | source.charAt(offset);
    ++offset;
  }
  if (sb != null) {
    String str=source.substring(offset,offset + length);
    if (!asQuotedString) {
      sb.append(str);
    }
 else {
      sb.append('"');
      sb.append(ScriptRuntime.escapeString(str));
      sb.append('"');
    }
  }
  return offset + length;
}
