/** 
 * Set a WrapFactory for this Context. <p> The WrapFactory allows custom object wrapping behavior for Java object manipulated with JavaScript.
 * @see WrapFactory
 * @since 1.5 Release 4
 */
public final void setWrapFactory(WrapFactory wrapFactory){
  if (sealed)   onSealedMutation();
  if (wrapFactory == null)   throw new IllegalArgumentException();
  this.wrapFactory=wrapFactory;
}
