private Node statement() throws IOException {
  try {
    Node pn=statementHelper(null);
    if (pn != null) {
      if (compilerEnv.isStrictMode() && !pn.hasSideEffects())       addStrictWarning("msg.no.side.effects","");
      return pn;
    }
  }
 catch (  ParserException e) {
  }
  int lineno=ts.getLineno();
  guessingStatementEnd:   for (; ; ) {
    int tt=peekTokenOrEOL();
    consumeToken();
switch (tt) {
case Token.ERROR:
case Token.EOF:
case Token.EOL:
case Token.SEMI:
      break guessingStatementEnd;
  }
}
return nf.createExprStatement(nf.createName("error"),lineno);
}
