public static Scriptable toIterator(Context cx,Scriptable scope,Scriptable obj,boolean keyOnly){
  if (ScriptableObject.hasProperty(obj,NativeIterator.ITERATOR_PROPERTY_NAME)) {
    Object v=ScriptableObject.getProperty(obj,NativeIterator.ITERATOR_PROPERTY_NAME);
    if (!(v instanceof Callable)) {
      throw typeError0("msg.invalid.iterator");
    }
    Callable f=(Callable)v;
    Object[] args=new Object[]{keyOnly ? Boolean.TRUE : Boolean.FALSE};
    v=f.call(cx,scope,obj,args);
    if (!(v instanceof Scriptable)) {
      throw typeError0("msg.iterator.primitive");
    }
    return (Scriptable)v;
  }
  return null;
}
