/** 
 * See ECMA 9.7.
 */
public static char toUint16(Object val){
  double d=toNumber(val);
  int i=(int)d;
  if (i == d) {
    return (char)i;
  }
  if (d != d || d == Double.POSITIVE_INFINITY || d == Double.NEGATIVE_INFINITY) {
    return 0;
  }
  d=(d >= 0) ? Math.floor(d) : Math.ceil(d);
  int int16=0x10000;
  i=(int)Math.IEEEremainder(d,int16);
  return (char)i;
}
