private void visitSwitch(Node.Jump switchNode,Node child){
  generateExpression(child,switchNode);
  short selector=getNewWordLocal();
  cfw.addAStore(selector);
  for (Node.Jump caseNode=(Node.Jump)child.getNext(); caseNode != null; caseNode=(Node.Jump)caseNode.getNext()) {
    if (caseNode.getType() != Token.CASE)     throw Codegen.badTree();
    Node test=caseNode.getFirstChild();
    generateExpression(test,caseNode);
    cfw.addALoad(selector);
    addScriptRuntimeInvoke("shallowEq","(Ljava/lang/Object;" + "Ljava/lang/Object;" + ")Z");
    addGoto(caseNode.target,ByteCode.IFNE);
  }
  releaseWordLocal(selector);
}
