package rtp;

public class ProgramVersion {
	int numOfTestCases;
	int numOfTestClasses;
	String faultInfoFile;
	
	public int getNumOfTestCases() {
		return numOfTestCases;
	}
	public void setNumOfTestCases(int numOfTestCases) {
		this.numOfTestCases = numOfTestCases;
	}
	public int getNumOfTestClasses() {
		return numOfTestClasses;
	}
	public void setNumOfTestClasses(int numOfTestClasses) {
		this.numOfTestClasses = numOfTestClasses;
	}
	public String getFaultInfoFile() {
		return faultInfoFile;
	}
	public void setFaultInfoFile(String faultInfoFile) {
		this.faultInfoFile = faultInfoFile;
	}
	
	
	
	@Override
	public String toString() {
		return "ProgramVersion [numOfTestCases=" + numOfTestCases
				+ ", numOfTestClasses=" + numOfTestClasses + ", faultInfoFile="
				+ faultInfoFile + "]";
	}
	public void initializeVersion(String version){
		if(version.equals("ant0.0")){
			numOfTestCases = 112;
			numOfTestClasses = 28;
			faultInfoFile = "Ant0.0-Ant1.0-fault-info.data";
		}
		else if(version.equals("ant3.0")){
			numOfTestCases = 219;
			numOfTestClasses = 52;
			faultInfoFile = "Ant3.0-Ant4.0-fault-info.data";			
		}
		else if(version.equals("ant4.0")){
			numOfTestCases = 520;
			numOfTestClasses = 101;
			faultInfoFile = "Ant4.0-Ant5.0-fault-info.data";
		}
		else if(version.equals("ant6.0")){
			numOfTestCases = 558;
			numOfTestClasses = 105;
			faultInfoFile = "Ant6.0-Ant7.0-fault-info.data";
		}
		else if(version.equals("barbecue1.5a1")){
			numOfTestCases = 0;
			numOfTestClasses = 0;
			faultInfoFile = "barbecue1.5a1-barbecue1.5a2-fault-info.data";
		}
		else if(version.equals("commons-lang3.02")){
			numOfTestCases = 1698;
			numOfTestClasses = 83;
			faultInfoFile = "commons-lang3.02-commons-lang3.03-fault-info.data";
		}
		else if(version.equals("commons-lang3.03")){
			numOfTestCases = 1703;
			numOfTestClasses = 83;
			faultInfoFile = "commons-lang3.03-commons-lang3.04-fault-info.data";
		}
		else if(version.equals("jaxen1.0b7")){
			numOfTestCases = 24;
			numOfTestClasses = 12;
			faultInfoFile = "jaxen1.0b7-jaxen1.0b9-fault-info.data";
		}
		else if(version.equals("jaxen1.1b2")){
			numOfTestCases = 69;
			numOfTestClasses = 0;
			faultInfoFile = "jaxen1.1b2-jaxen1.1b5-fault-info.data";
		}
		else if(version.equals("jaxen1.1b6")){
			numOfTestCases = 243;
			numOfTestClasses = 41;
			faultInfoFile = "jaxen1.1b6-jaxen1.1b7-fault-info.data";
		}
		else if(version.equals("jaxen1.1b9")){
			numOfTestCases = 645;
			numOfTestClasses = 69;
			faultInfoFile = "jaxen1.1b9-jaxen1.1b11-fault-info.data";
		}
		else if(version.equals("jmeter0.0")){
			numOfTestCases = 0;
			numOfTestClasses = 0;
			faultInfoFile = "jmeter0.0-jmeter1.0-fault-info.data";
		}
		else if(version.equals("jmeter1.0")){
			numOfTestCases = 0;
			numOfTestClasses = 0;
			faultInfoFile = "jmeter1.0-jmeter2.0-fault-info.data";
		}
		else if(version.equals("jmeter2.0")){
			numOfTestCases = 0;
			numOfTestClasses = 0;
			faultInfoFile = "jmeter2.0-jmeter3.0-fault-info.data";
		}
		else if(version.equals("jmeter3.0")){
			numOfTestCases = 0;
			numOfTestClasses = 0;
			faultInfoFile = "jmeter3.0-jmeter4.0-fault-info.data";
		}
		else if(version.equals("joda-time0.90")){
			numOfTestCases = 219;
			numOfTestClasses = 10;
			faultInfoFile = "joda-time0.90-joda-time0.95-fault-info.data";
		}
		else if(version.equals("joda-time0.98")){
			numOfTestCases = 1932;
			numOfTestClasses =71 ;
			faultInfoFile = "joda-time0.98-joda-time0.99-fault-info.data";
		}
		else if(version.equals("joda-time1.10")){
			numOfTestCases = 2420;
			numOfTestClasses = 90;
			faultInfoFile = "joda-time1.10-joda-time1.20-fault-info.data";
		}
		else if(version.equals("joda-time1.20")){
			numOfTestCases = 2516;
			numOfTestClasses = 93;
			faultInfoFile = "joda-time1.20-joda-time1.30-fault-info.data";
		}
		else if(version.equals("mime4j0.50")){
			numOfTestCases = 120;
			numOfTestClasses = 24;
			faultInfoFile = "mime4j0.50-mime4j0.60-fault-info.data";
		}
		else if(version.equals("mime4j0.61")){
			numOfTestCases = 348;
			numOfTestClasses = 57;
			faultInfoFile = "mime4j0.61-mime4j0.70-fault-info.data";
		}
		else if(version.equals("timeandmoney3.0")){
			numOfTestCases = 143;
			numOfTestClasses = 15;
			faultInfoFile = "timeandmoney3.0-timeandmoney4.0-fault-info.data";
		}
		else if(version.equals("timeandmoney4.0")){
			numOfTestCases = 159;
			numOfTestClasses = 16;
			faultInfoFile = "timeandmoney4.0-timeandmoney5.0-fault-info.data";
		}
		else if(version.equals("xmlsec1.0")){
			numOfTestCases = 91;
			numOfTestClasses = 15;
			faultInfoFile = "xmlsec1.0-xmlsec2.0-fault-info.data";
		}
		else if(version.equals("xstream1.20")){
			numOfTestCases = 637;
			numOfTestClasses = 115;
			faultInfoFile = "xstream1.20-xstream1.21-fault-info.data";
		}
		else if(version.equals("xstream1.21")){
			numOfTestCases = 698;
			numOfTestClasses = 124;
			faultInfoFile = "xstream1.21-xstream1.22-fault-info.data";
		}
		else if(version.equals("xstream1.22")){
			numOfTestCases = 768;
			numOfTestClasses = 133;
			faultInfoFile = "xstream1.22-xstream1.30-fault-info.data";
		}
		else if(version.equals("xstream1.30")){
			numOfTestCases = 885;
			numOfTestClasses = 150;
			faultInfoFile = "xstream1.30-xstream1.31-fault-info.data";
		}
		else if(version.equals("xstream1.31")){
			numOfTestCases = 924;
			numOfTestClasses = 140;
			faultInfoFile = "xstream1.31-xstream1.40-fault-info.data";
		}
		else if(version.equals("xstream1.41")){
			numOfTestCases = 1200;
			numOfTestClasses = 157;
			faultInfoFile = "xstream1.41-xstream1.42-fault-info.data";
		}
	}

}


