#!bin/sh

#failed_test_dir="/Users/assist/dmz/src/rtp/DLo/amldata/failed_tests/ant"
#test_results_dir="/Users/assist/dmz/gen-data/faulttracer/ant53/post-fix/log/method-cv"
#method_cv="/Users/assist/dmz/gen-data/faulttracer/ant53/post-fix/coverage-data/method-cv"


all_test_dir="/Users/assist/dmz/src/rtp/DLo/amldata/all_tests/ant"
code_dir="/Users/assist/dmz/ir-dataset/code/ant53"
test_results_dir="/Users/assist/dmz/gen-data/Spectrum/4SP/log/ant53"
method_cv="/Users/assist/dmz/gen-data/Spectrum/4SP/sp/ant53"


bugs=$(ls $all_test_dir)

for b in $bugs
do
    id=$(echo $b | cut -f 1 -d ".")

#    if [ $id != "ANT-5270" ]
 #   then
#	continue
 #   fi
    
    #test_names=$(cut -f 1 -d ":" $failed_test_dir/$id.txt | sort | uniq | xargs | cut -f 1 -d " ")

    test_names=$(cat $all_test_dir/$b)

    echo "[Script] ... [$id : $test_names]"

  #  cd "$code_dir/$id/post-fix"
   # ant -f "$code_dir/$id/post-fix/$id.faulttracer.xml" loadMethodCoverage >> "$method_cv/$id.txt"

    #continue

       
    #if [ -d "$code_dir/$id/post-fix/faulttracer-files" ]
    #then
#	rm -rfv $code_dir/$id/post-fix/faulttracer-files/*
    #   fi

  #  cd "$code_dir/$id/post-fix"
 #   ant -f "$code_dir/$id/post-fix/$id.faulttracer.xml" loadMethodCoverage > "$method_cv/$id.txt"

#    continue

    #cd "$code_dir/$id/post-fix"
   # ant -f "$code_dir/$id/post-fix/$id.faulttracer.xml" collectMethodCoverage

    clspath="$code_dir/$id/post-fix/build/classes:$code_dir/$id/post-fix/build/testcases"

    if [ ! -d $test_results_dir/$id ]
    then
	mkdir $test_results_dir/$id
    fi    

    for test in $test_names
    do
	echo "working on $id : $test"

	if [ -d "$code_dir/$id/post-fix/faulttracer-files" ]
	then
	    rm -rfv $code_dir/$id/post-fix/faulttracer-files/*
	fi
	
	java -debug -javaagent:/Users/assist/tools/faulttracer_v2/agent.jar -Xmx1048m -Dfaulttracer.package.prefix=org.apache.tools -Dfaulttracer.test.suite="$test" -Dfaulttracer.trace=true -Dfaulttracer.method.coverage=true -Dfaulttracer.junit.level=true -cp /Users/assist/tools/faulttracer_v2/lib/log4j-1.2.14.jar:/Users/assist/tools/faulttracer_v2/bin:/Users/assist/tools/faulttracer_v2/lib/asm-all-3.1.jar:/Users/assist/tools/junit/junit.jar:/Users/assist/tools/junit/hamcrest-core-1.3.jar:/Users/assist/tools/faulttracer_v2/lib/commons-lang-2.3.jar:"$clspath" org.junit.runner.JUnitCore tracer.coverage.junit.JUnit4FaultTracerTestSuite > $test_results_dir/$id/$test

	cd "$code_dir/$id/post-fix"
	ant -f "$code_dir/$id/post-fix/$id.faulttracer.xml" loadMethodCoverage >> "/Users/assist/Desktop/ant-faulttracer/$id.txt"
	    
    done
    
done







exit

 java -javaagent:/Users/assist/tools/faulttracer_v2/agent.jar -Xmx1048m -Dfaulttracer.package.prefix=org.aspectj -Dfaulttracer.trace=true -Dfaulttracer.method.coverage=true -Dfaulttracer.junit.level=true -cp /Users/assist/tools/faulttracer_v2/lib/log4j-1.2.14.jar:/Users/assist/tools/faulttracer_v2/bin:/Users/assist/tools/faulttracer_v2/lib/asm-all-3.1.jar:/Users/assist/tools/junit/junit.jar:/Users/assist/tools/junit/hamcrest-core-1.3.jar:/Users/assist/tools/faulttracer_v2/lib/commons-lang-2.3.jar:"$clspath" org.aspectj.testing.drivers.Harness -logAll compilertest.xml
