datadir="/Users/assist/dmz/ir-dataset/code/aspectj"
logdir="/Users/assist/dmz/gen-data/4SP/log/aspectj"

projects=$(ls $datadir)

for p in $projects
do
    if [ -d "$datadir/$p" ]
    then
	if [ $p == "87376" ] 
	then
	    continue
	elif [ $p == "88652" ]
	then
	    continue
	else
	    echo " Working on $p ..."

	    if [ ! -d $logdir/$p ]
	    then
		mkdir $logdir/$p
	    fi
	    
	    
	    files=$(ls $datadir/$p/post-fix/org.aspectj/modules/build | grep "_build_")
	    for file in $files
	    do
		echo $file
		ant -f "$datadir/$p/post-fix/org.aspectj/modules/build/$file" clean with.clover build-harness-jar runtest clover.xml | grep "Suite.Spec" > "$logdir/$p/$file.log"
	    done
	    
#	    ant -f "$datadir/$p/post-fix/org.aspectj/modules/build/build.xml" clovertest | grep "Suite.Spec" > "$datadir/$p/post-fix/org.aspectj/modules/build/clovertest-$p.log"
	fi
    fi
    
done


##################################

exit

aspectj_test_dir="/Users/assist/dmz/src/rtp/DLo/amldata/test_cases_list/aspectj/xmlTest4FixScripts"
code_dir="/Users/assist/dmz/ir-dataset/code/aspectj"

projects=$(ls $code_dir)

for p in $projects
do
    if [ ! -d $code_dir/$p ]
    then
	continue
    fi
    
    files=$(ls $aspectj_test_dir | grep "$p")
    for f in $files
    do
	echo $f

	if [ -f $code_dir/100227/post-fix/org.aspectj/modules/build/build.xml ]
	then
	    cp $code_dir/100227/post-fix/org.aspectj/modules/build/build.xml $code_dir/$p/post-fix/org.aspectj/modules/build/failed_build_$f
	else
	    "[error] build file does not exist in $p"
	fi	
    done    
done



exit

datadir="/Users/assist/dmz/ir-dataset/code/aspectj"
destdir="/Users/assist/dmz/gen-data/clover/aspectj"

projects=$(ls $destdir)

>$destdir/testresults.log

for p in $projects
do
    echo "[$p]" >> $destdir/testresults.log
    cat $destdir/$p/clovertest-$p.log >> $destdir/testresults.log
    echo "---------------" >> $destdir/testresults.log
done

exit

projects=$(ls $datadir)
for p in $projects
do
    mkdir $destdir/$p
    cp $datadir/$p/post-fix/org.aspectj/modules/build/coverage.xml $destdir/$p/coverage-$p.xml
    cp $datadir/$p/post-fix/org.aspectj/modules/build/clovertest-$p.log $destdir/$p/clovertest-$p.log
done
	  



exit
