srcDir="/Users/assist/dmz/filter-code/coverage-flatten-corrected"
bugDir="/Users/assist/dmz/filter-code/coverage-flatten-bugs-xml-repositories"
outDir="/Users/assist/dmz/filter-code/coverage-buglocator-output"

cd "/Users/assist/dmz/tools/BugLocator"

projects=$(ls $srcDir)

for p in $projects
do
    if [ $p != "aspectj" ]
    then
	continue
    fi
    
    versions=$(ls "$srcDir/$p")
    for v in $versions
    do
	#if [ $v == "ASPECTJ-100227" ]
	#then
	#    continue
	#fi


	
	srcPath="$srcDir/$p/$v"
	bugPath="$bugDir/$p/$v.xml"
	outPath="$outDir/$p/$v.txt"
	if [ ! -d "$outDir/$p" ]
	then
	    mkdir -p "$outDir/$p"
	fi

	echo "Working on: $p -> $v"

	echo "SOURCE: $srcPath"
	
	java -jar BugLocator.jar -s "$srcPath" -b "$bugPath" -a 0.2 -o "$outPath"
	
    done    
done



exit

sourceDir="/Volumes/osxrep/BugLocator/class/src-class-flatten/aspectj"
destDir="/Volumes/osxrep/BugLocator/class/src-class-flatten-corrected/aspectj"

versions=$(ls $sourceDir)

for v in $versions
do
    if [ ! -d "$destDir/$v/pre-fix" ]
    then
	mkdir -p "$destDir/$v/pre-fix"
    fi
    
    files=$(ls "$sourceDir/$v/pre-fix")    
    for f in $files
    do
	echo "Working on $f"
	sed '/package/d' "$sourceDir/$v/pre-fix/$f" > "$destDir/$v/pre-fix/$f"
    done
    
done


exit

project=$1
sourceDir="/Users/assist/dmz/filter-code/coverage-flatten/$project"
destDir="/Users/assist/dmz/filter-code/coverage-flatten-corrected/$project"

versions=$(ls $sourceDir)

for v in $versions
do
    if [ ! -d "$destDir/$v" ]
    then
	mkdir -p "$destDir/$v"
    fi
    
    files=$(ls "$sourceDir/$v")    
    for f in $files
    do
	echo "Working on $f"
	sed '/package/d' "$sourceDir/$v/$f" > "$destDir/$v/$f"
    done
    
done

exit
