traces_dir="/Volumes/osxrep/traces"
filtered_traces_dir="/Users/assist/dmz/filters/traces"
jslicer="/Users/assist/dmz/tools/javaslicer/assembly/traceReader.jar" #javaslicer dir

projects=$(ls "$traces_dir")

for project in $projects
do

    if [ $project != "lucene37" ]
    then
	continue
    fi
    
    
    if [ ! -d $filtered_traces_dir/$project ]
    then
	mkdir $filtered_traces_dir/$project
    fi
    
    
    bugs=$(ls $traces_dir/$project/post-fix | grep ".trace")

    echo " working on: $project"
    
    for b in $bugs
    do
	echo "working on $b"

	if [ $project == "ant53" ]
	then
	    java -Xms512M -Xmx8g -jar $jslicer $traces_dir/$project/post-fix/$b | awk '/.*/{if($0~/org.apache.tools.ant/){print $4}}' | awk '!x[$0]++' > $filtered_traces_dir/$project/$b.slice
	elif [ $project == "lucene37" ]
	then
	    java -Xms512M -Xmx8g -jar $jslicer $traces_dir/$project/post-fix/$b | awk '/.*/{if($0~/org.apache.lucene/){print $4}}' | awk '!x[$0]++' > $filtered_traces_dir/$project/$b.slice
	elif [ $project == "rhino" ]
	then
	    java -Xms512M -Xmx8g -jar $jslicer $traces_dir/$project/post-fix/$b | awk '/.*/{if($0~/org.mozilla/){print $4}}' | awk '!x[$0]++' > $filtered_traces_dir/$project/$b.slice
	else
	    echo "[error] something wrong"
	fi
	
    done

    echo "----------------------"    
done


