#!/bin/sh

base="/Users/assist/dmz"
QUERIES_DIR="$base/ir-dataset/queries/lucene37"

CORPUS_DIR="$base/gen-data/ir_and_slicing/tmpdata/lucene37/index"
RESULTS_DIR="$base/gen-data/ir_and_slicing/out/lucene37"


QUERIES=$(ls $CORPUS_DIR)

for q in $QUERIES
do
    QUERY_FILE="$QUERIES_DIR/$q"
    indrirunquery $QUERY_FILE -index=$CORPUS_DIR/$q -trecFormat=true -count=5000000 > "$RESULTS_DIR/$q"    
done

