/** 
 * Register an object to receive notifications when a bound property has changed
 * @see java.beans.PropertyChangeEvent
 * @see #removePropertyChangeListener(java.beans.PropertyChangeListener)
 * @param l the listener
 */
public final void addPropertyChangeListener(PropertyChangeListener l){
  if (sealed)   onSealedMutation();
  propertyListeners=Kit.addListener(propertyListeners,l);
}
