byte[] compileToClassFile(CompilerEnvirons compilerEnv,String mainClassName,ScriptOrFnNode scriptOrFn,String encodedSource,boolean returnFunction){
  this.compilerEnv=compilerEnv;
  transform(scriptOrFn);
  if (Token.printTrees) {
    System.out.println(scriptOrFn.toStringTree(scriptOrFn));
  }
  if (returnFunction) {
    scriptOrFn=scriptOrFn.getFunctionNode(0);
  }
  initScriptOrFnNodesData(scriptOrFn);
  this.mainClassName=mainClassName;
  this.mainClassSignature=ClassFileWriter.classNameToSignature(mainClassName);
  try {
    return generateCode(encodedSource);
  }
 catch (  ClassFileWriter.ClassFileFormatException e) {
    throw reportClassFileFormatException(scriptOrFn,e.getMessage());
  }
}
