Node createArrayLiteral(ObjArray elems,int skipCount,int destructuringLen){
  int length=elems.size();
  int[] skipIndexes=null;
  if (skipCount != 0) {
    skipIndexes=new int[skipCount];
  }
  Node array=new Node(Token.ARRAYLIT);
  for (int i=0, j=0; i != length; ++i) {
    Node elem=(Node)elems.get(i);
    if (elem != null) {
      array.addChildToBack(elem);
    }
 else {
      skipIndexes[j]=i;
      ++j;
    }
  }
  if (skipCount != 0) {
    array.putProp(Node.SKIP_INDEXES_PROP,skipIndexes);
  }
  array.putIntProp(Node.DESTRUCTURING_ARRAY_LENGTH,destructuringLen);
  return array;
}
