Node createPropertyGet(Node target,String namespace,String name,int memberTypeFlags){
  if (namespace == null && memberTypeFlags == 0) {
    if (target == null) {
      return createName(name);
    }
    checkActivationName(name,Token.GETPROP);
    if (ScriptRuntime.isSpecialProperty(name)) {
      Node ref=new Node(Token.REF_SPECIAL,target);
      ref.putProp(Node.NAME_PROP,name);
      return new Node(Token.GET_REF,ref);
    }
    return new Node(Token.GETPROP,target,createString(name));
  }
  Node elem=createString(name);
  memberTypeFlags|=Node.PROPERTY_FLAG;
  return createMemberRefGet(target,namespace,elem,memberTypeFlags);
}
