private static boolean eqString(String x,Object y){
  for (; ; ) {
    if (y == null || y == Undefined.instance) {
      return false;
    }
 else     if (y instanceof String) {
      return x.equals(y);
    }
 else     if (y instanceof Number) {
      return toNumber(x) == ((Number)y).doubleValue();
    }
 else     if (y instanceof Boolean) {
      return toNumber(x) == (((Boolean)y).booleanValue() ? 1.0 : 0.0);
    }
 else     if (y instanceof Scriptable) {
      if (y instanceof ScriptableObject) {
        Object test=((ScriptableObject)y).equivalentValues(x);
        if (test != Scriptable.NOT_FOUND) {
          return ((Boolean)test).booleanValue();
        }
      }
      y=toPrimitive(y);
      continue;
    }
 else {
      warnAboutNonJSObject(y);
      return false;
    }
  }
}
