private int getChar() throws IOException {
  if (ungetCursor != 0) {
    return ungetBuffer[--ungetCursor];
  }
  for (; ; ) {
    int c;
    if (sourceString != null) {
      if (sourceCursor == sourceEnd) {
        hitEOF=true;
        return EOF_CHAR;
      }
      c=sourceString.charAt(sourceCursor++);
    }
 else {
      if (sourceCursor == sourceEnd) {
        if (!fillSourceBuffer()) {
          hitEOF=true;
          return EOF_CHAR;
        }
      }
      c=sourceBuffer[sourceCursor++];
    }
    if (lineEndChar >= 0) {
      if (lineEndChar == '\r' && c == '\n') {
        lineEndChar='\n';
        continue;
      }
      lineEndChar=-1;
      lineStart=sourceCursor - 1;
      lineno++;
    }
    if (c <= 127) {
      if (c == '\n' || c == '\r') {
        lineEndChar=c;
        c='\n';
      }
    }
 else {
      if (isJSFormatChar(c)) {
        continue;
      }
      if (ScriptRuntime.isJSLineTerminator(c)) {
        lineEndChar=c;
        c='\n';
      }
    }
    return c;
  }
}
