/** 
 * Return DebuggableScript instance if any associated with the script. If callable supports DebuggableScript implementation, the method returns it. Otherwise null is returned.
 */
public static DebuggableScript getDebuggableView(Script script){
  if (script instanceof NativeFunction) {
    return ((NativeFunction)script).getDebuggableView();
  }
  return null;
}
