static Function getExistingCtor(Context cx,Scriptable scope,String constructorName){
  Object ctorVal=ScriptableObject.getProperty(scope,constructorName);
  if (ctorVal instanceof Function) {
    return (Function)ctorVal;
  }
  if (ctorVal == Scriptable.NOT_FOUND) {
    throw Context.reportRuntimeError1("msg.ctor.not.found",constructorName);
  }
 else {
    throw Context.reportRuntimeError1("msg.not.ctor",constructorName);
  }
}
