public static String getMessage(String messageId,Object[] arguments){
  final String defaultResource="org.mozilla.javascript.resources.Messages";
  Context cx=Context.getCurrentContext();
  Locale locale=cx != null ? cx.getLocale() : Locale.getDefault();
  ResourceBundle rb=ResourceBundle.getBundle(defaultResource,locale);
  String formatString;
  try {
    formatString=rb.getString(messageId);
  }
 catch (  java.util.MissingResourceException mre) {
    throw new RuntimeException("no message resource found for message property " + messageId);
  }
  MessageFormat formatter=new MessageFormat(formatString);
  return formatter.format(arguments);
}
