/** 
 * Return -1L if str is not an index or the index value as lower 32 bits of the result.
 */
private static long indexFromString(String str){
  final int MAX_VALUE_LENGTH=10;
  int len=str.length();
  if (len > 0) {
    int i=0;
    boolean negate=false;
    int c=str.charAt(0);
    if (c == '-') {
      if (len > 1) {
        c=str.charAt(1);
        i=1;
        negate=true;
      }
    }
    c-='0';
    if (0 <= c && c <= 9 && len <= (negate ? MAX_VALUE_LENGTH + 1 : MAX_VALUE_LENGTH)) {
      int index=-c;
      int oldIndex=0;
      i++;
      if (index != 0) {
        while (i != len && 0 <= (c=str.charAt(i) - '0') && c <= 9) {
          oldIndex=index;
          index=10 * index - c;
          i++;
        }
      }
      if (i == len && (oldIndex > (Integer.MIN_VALUE / 10) || (oldIndex == (Integer.MIN_VALUE / 10) && c <= (negate ? -(Integer.MIN_VALUE % 10) : (Integer.MAX_VALUE % 10))))) {
        return 0xFFFFFFFFL & (negate ? index : -index);
      }
    }
  }
  return -1L;
}
