private void initBodyGeneration(){
  isTopLevel=(scriptOrFn == codegen.scriptOrFnNodes[0]);
  varRegisters=null;
  if (scriptOrFn.getType() == Token.FUNCTION) {
    fnCurrent=OptFunctionNode.get(scriptOrFn);
    hasVarsInRegs=!fnCurrent.fnode.requiresActivation();
    if (hasVarsInRegs) {
      int n=fnCurrent.fnode.getParamAndVarCount();
      if (n != 0) {
        varRegisters=new short[n];
      }
    }
    inDirectCallFunction=fnCurrent.isTargetOfDirectCall();
    if (inDirectCallFunction && !hasVarsInRegs)     Codegen.badTree();
  }
 else {
    fnCurrent=null;
    hasVarsInRegs=false;
    inDirectCallFunction=false;
  }
  locals=new int[MAX_LOCALS];
  funObjLocal=0;
  contextLocal=1;
  variableObjectLocal=2;
  thisObjLocal=3;
  localsMax=(short)4;
  firstFreeLocal=4;
  popvLocal=-1;
  argsLocal=-1;
  itsZeroArgArray=-1;
  itsOneArgArray=-1;
  scriptRegexpLocal=-1;
  epilogueLabel=-1;
  enterAreaStartLabel=-1;
  generatorStateLocal=-1;
}
