/** 
 * Remove an object from the list of objects registered to receive notification of changes to a bounded property
 * @see java.beans.PropertyChangeEvent
 * @see #addPropertyChangeListener(java.beans.PropertyChangeListener)
 * @param l the listener
 */
public final void removePropertyChangeListener(PropertyChangeListener l){
  if (sealed)   onSealedMutation();
  propertyListeners=Kit.removeListener(propertyListeners,l);
}
