/** 
 * Remove values from thread-local storage.
 * @param key the key for the entry to remove.
 * @since 1.5 release 2
 */
public final void removeThreadLocal(Object key){
  if (sealed)   onSealedMutation();
  if (hashtable == null)   return;
  hashtable.remove(key);
}
