/** 
 * Split string into array of strings using semicolon as string terminator (; after the last string is required).
 */
public static String[] semicolonSplit(String s){
  String[] array=null;
  for (; ; ) {
    int count=0;
    int cursor=0;
    for (; ; ) {
      int next=s.indexOf(';',cursor);
      if (next < 0) {
        break;
      }
      if (array != null) {
        array[count]=s.substring(cursor,next);
      }
      ++count;
      cursor=next + 1;
    }
    if (array == null) {
      if (cursor != s.length())       throw new IllegalArgumentException();
      array=new String[count];
    }
 else {
      break;
    }
  }
  return array;
}
