public final void setApplicationClassLoader(ClassLoader loader){
  if (sealed)   onSealedMutation();
  if (loader == null) {
    applicationClassLoader=null;
    return;
  }
  if (!Kit.testIfCanLoadRhinoClasses(loader)) {
    throw new IllegalArgumentException("Loader can not resolve Rhino classes");
  }
  applicationClassLoader=loader;
}
