/** 
 * Set the associated debugger.
 * @param debugger the debugger to be used on callbacks fromthe engine.
 * @param contextData arbitrary object that debugger can use to storeper Context data.
 */
public final void setDebugger(Debugger debugger,Object contextData){
  if (sealed)   onSealedMutation();
  this.debugger=debugger;
  debuggerData=contextData;
}
