public static Object setDefaultNamespace(Object namespace,Context cx){
  Scriptable scope=cx.currentActivationCall;
  if (scope == null) {
    scope=getTopCallScope(cx);
  }
  XMLLib xmlLib=currentXMLLib(cx);
  Object ns=xmlLib.toDefaultXmlNamespace(cx,namespace);
  if (!scope.has(DEFAULT_NS_TAG,scope)) {
    ScriptableObject.defineProperty(scope,DEFAULT_NS_TAG,ns,ScriptableObject.PERMANENT | ScriptableObject.DONTENUM);
  }
 else {
    scope.put(DEFAULT_NS_TAG,scope,ns);
  }
  return Undefined.instance;
}
