public final void setSize(int newSize){
  if (newSize < 0)   throw new IllegalArgumentException();
  if (sealed)   throw onSeledMutation();
  int N=size;
  if (newSize < N) {
    for (int i=newSize; i != N; ++i) {
      setImpl(i,null);
    }
  }
 else   if (newSize > N) {
    if (newSize > FIELDS_STORE_SIZE) {
      ensureCapacity(newSize);
    }
  }
  size=newSize;
}
