public static boolean shallowEq(Object x,Object y){
  if (x == y) {
    if (!(x instanceof Number)) {
      return true;
    }
    double d=((Number)x).doubleValue();
    return d == d;
  }
  if (x == null || x == Undefined.instance) {
    return false;
  }
 else   if (x instanceof Number) {
    if (y instanceof Number) {
      return ((Number)x).doubleValue() == ((Number)y).doubleValue();
    }
  }
 else   if (x instanceof String) {
    if (y instanceof String) {
      return x.equals(y);
    }
  }
 else   if (x instanceof Boolean) {
    if (y instanceof Boolean) {
      return x.equals(y);
    }
  }
 else   if (x instanceof Scriptable) {
    if (x instanceof Wrapper && y instanceof Wrapper) {
      return ((Wrapper)x).unwrap() == ((Wrapper)y).unwrap();
    }
  }
 else {
    warnAboutNonJSObject(x);
    return x == y;
  }
  return false;
}
