private static void toStringTreeHelper(ScriptOrFnNode treeTop,Node n,ObjToIntMap printIds,int level,StringBuffer sb){
  if (Token.printTrees) {
    if (printIds == null) {
      printIds=new ObjToIntMap();
      generatePrintIds(treeTop,printIds);
    }
    for (int i=0; i != level; ++i) {
      sb.append("    ");
    }
    n.toString(printIds,sb);
    sb.append('\n');
    for (Node cursor=n.getFirstChild(); cursor != null; cursor=cursor.getNext()) {
      if (cursor.getType() == Token.FUNCTION) {
        int fnIndex=cursor.getExistingIntProp(Node.FUNCTION_PROP);
        FunctionNode fn=treeTop.getFunctionNode(fnIndex);
        toStringTreeHelper(fn,fn,null,level + 1,sb);
      }
 else {
        toStringTreeHelper(treeTop,cursor,printIds,level + 1,sb);
      }
    }
  }
}
