private void visitTypeofname(Node node){
  if (hasVarsInRegs) {
    int varIndex=fnCurrent.fnode.getIndexForNameNode(node);
    if (varIndex >= 0) {
      if (fnCurrent.isNumberVar(varIndex)) {
        cfw.addPush("number");
      }
 else       if (varIsDirectCallParameter(varIndex)) {
        int dcp_register=varRegisters[varIndex];
        cfw.addALoad(dcp_register);
        cfw.add(ByteCode.GETSTATIC,"java/lang/Void","TYPE","Ljava/lang/Class;");
        int isNumberLabel=cfw.acquireLabel();
        cfw.add(ByteCode.IF_ACMPEQ,isNumberLabel);
        short stack=cfw.getStackTop();
        cfw.addALoad(dcp_register);
        addScriptRuntimeInvoke("typeof","(Ljava/lang/Object;" + ")Ljava/lang/String;");
        int beyond=cfw.acquireLabel();
        cfw.add(ByteCode.GOTO,beyond);
        cfw.markLabel(isNumberLabel,stack);
        cfw.addPush("number");
        cfw.markLabel(beyond);
      }
 else {
        cfw.addALoad(varRegisters[varIndex]);
        addScriptRuntimeInvoke("typeof","(Ljava/lang/Object;" + ")Ljava/lang/String;");
      }
      return;
    }
  }
  cfw.addALoad(variableObjectLocal);
  cfw.addPush(node.getString());
  addScriptRuntimeInvoke("typeofName","(Lorg/mozilla/javascript/Scriptable;" + "Ljava/lang/String;" + ")Ljava/lang/String;");
}
