package td.utils;

import java.util.List;

public class Testcase {
	private String name;
	private String result;
	private List<String> executedElement;
	
	Testcase(){};
	
	Testcase (String _name, String _result, List<String> _traces) {
		name = _name;
		result = _result;
		executedElement = _traces;
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getResult() {
		return result;
	}
	public void setResult(String result) {
		this.result = result;
	}
	public List<String> getExecutedElement() {
		return executedElement;
	}
	public void setExecutedElement(List<String> executedElement) {
		this.executedElement = executedElement;
	}
	
	public void print(){
		if (this != null) {
			System.out.println("Test Name: " + name);
			System.out.println("Test Result: " + result);
			for (String e : executedElement) {
				System.out.println(e);
			}
		}
	}
}
