#!bin/sh
failed_test_dir="/Users/assist/dmz/src/rtp/DLo/amldata/failed_tests/ant"
code_dir="/Users/assist/dmz/ir-dataset/code/ant53"
test_results_dir="/Users/assist/dmz/gen-data/faulttracer/ant53/post-fix/log/method-cv"
method_cv="/Users/assist/dmz/gen-data/faulttracer/ant53/post-fix/coverage-data/method-cv"


bugs=$(ls $failed_test_dir)

for b in $bugs
do


    id=$(echo $b | cut -f 1 -d ".")

    if [ $id != "ANT-16539" ]
    then
	continue
    fi
    

    

#    ant -f "$id.faulttracer.xml" loadMethodCoverage > $method_cv/$id.txt

 #   continue
    
    test_names=$(cut -f 1 -d ":" $failed_test_dir/$id.txt | sort | uniq | xargs)

    echo "$id"
    echo "$test_names"

    clspath="$code_dir/$id/post-fix/build/classes:$code_dir/$id/post-fix/build/testcases"
    lib_dir="/Users/assist/tools/faulttracer_v2/lib"
    lib_jars=""
    jars=$(ls $lib_dir)
    faulttracer_bin="/Users/assist/tools/faulttracer_v2/bin"
    
    for j in $jars
    do
	lib_jars="$lib_jars:$lib_dir/$j"
    done

    echo "$lib_jars"
    echo "$JUNIT_HOME"
    echo "$clspath"

    cmd_string="java -javaagent:/Users/assist/tools/faulttracer_v2/agent.jar -Xmx1048m -Dfaulttracer.package.prefix=org.apache.tools -Dfaulttracer.test.suite="$test_names" -Dfaulttracer.trace=true -Dfaulttracer.method.coverage=true -Dfaulttracer.junit.level=true -cp $lib_jars:$clspath:$faulttracer_bin org.junit.runner.JUnitCore tracer.coverage.junit.JUnit4FaultTracerTestSuite"

    echo "$cmd_string"

    continue

    if [ -d "$code_dir/$id/post-fix/faulttracer-files" ]
    then
	rm -rfv $code_dir/$id/post-fix/faulttracer-files/*
#	mkdir "$code_dir/$id/post-fix/faulttracer-files/method-coverage"
    fi

    cd "$code_dir/$id/post-fix"
    ant -f "$code_dir/$id/post-fix/$id.faulttracer.xml" collectMethodCoverage

    clspath="$code_dir/$id/post-fix/build/classes:$code_dir/$id/post-fix/build/testcases"    
    cmd_string="java -debug -javaagent:/Users/assist/tools/faulttracer_v2/agent.jar -Xmx1048m -Dfaulttracer.package.prefix=org.apache.tools -Dfaulttracer.test.suite="$test_names" -Dfaulttracer.trace=true -Dfaulttracer.method.coverage=true -Dfaulttracer.junit.level=true -cp /Users/assist/tools/faulttracer_v2/lib/log4j-1.2.14.jar:/Users/assist/tools/faulttracer_v2/bin:/Users/assist/tools/faulttracer_v2/lib/asm-all-3.1.jar:/Users/assist/tools/junit/junit.jar:/Users/assist/tools/junit/hamcrest-core-1.3.jar:/Users/assist/tools/faulttracer_v2/lib/commons-lang-2.3.jar:"$clspath" org.junit.runner.JUnitCore tracer.coverage.junit.JUnit4FaultTracerTestSuite"

    #> $test_results_dir/$id

    

done
