#!bin/sh
bugreport_dir="/Users/assist/dmz/ir-dataset/bugs/bug-reports"
ground_truth_dir="/Users/assist/dmz/ir-dataset/ground_truth"
output_dir="/Users/assist/dmz/ir-dataset/bugreport-repository"


projects=$(ls $bugreport_dir)

for p in $projects
do
    echo "working on project data: $p"
    bugs=$(ls $bugreport_dir/$p)
    for b in $bugs 
    do

	c=$(grep -in ":::" "$bugreport_dir/$p/$b" | cut -f1 -d: | wc -w)
	if [ $((c)) != 2 ]
	then
	    echo "[error] there are more than 2 ::: at $p/$b"
	    exit
	fi
	pos=$(grep -in ":::" "$bugreport_dir/$p/$b" | cut -f1 -d: | xargs | cut -f2 -d" ")
	l=$(cat "$bugreport_dir/$p/$b" | wc -l)

	title=$(head -n $((pos-1)) "$bugreport_dir/$p/$b" | sed -e 's/::://g')
	des=$(tail -n $((l-pos+2)) "$bugreport_dir/$p/$b" | sed -e 's/::://g')

	echo "title: $title"
	#echo "description: $des"
	echo "working on bug report: $b   [ok]"
    done
    echo "\n"
done

exit



bugs=$(ls $failed_test_dir)

for b in $bugs
do
    id=$(echo $b | cut -f 1 -d ".")
    test_names=$(cut -f 1 -d ":" $failed_test_dir/$id.txt | sort | uniq)

    for t in $test_names
    do
	echo "<test name=\"$t\" haltonfailure=\"no\" todir=\"\${test.report}\">" >> "$xml_dir/$id.xml"
	echo "<formatter type=\"xml\"/>" >> "$xml_dir/$id.xml"
	echo "<formatter type=\"plain\"/>" >> "$xml_dir/$id.xml"
	echo "</test>" >> "$xml_dir/$id.xml"
    done
    echo "</junit>" >> "$xml_dir/$id.xml"
    echo "</target>" >> "$xml_dir/$id.xml"
    echo "</project>" >> "$xml_dir/$id.xml"
done
