project="$1"
input_slices="/Users/assist/dmz/gen-data/jslicer/slices/$project/post-fix"
output_slices_union="/Users/assist/dmz/gen-data/jslicer/slices/$project/union"
bugs_dir="/Users/assist/dmz/src/rtp/DMZ/failed_tests/$project"

if [ ! -d $output_slices_union ]
then
    mkdir "$output_slices_union"
else
    rm -rfv $output_slices_union/*
fi

ids=$(ls "$bugs_dir")

for id in $ids
do
    b=$(echo "$id" | cut -f1 -d ".")

    slices=$(ls "$input_slices" | grep "$b" | xargs)

    if [ $? != 0 ]
    then
	echo "[error] something wrong"
	#	exit
	continue
    fi

    echo "$b"
    for slice in $slices
    do
	echo "$slice"
	cat "$input_slices/$slice" >> "$output_slices_union/$b.slice"
    done

    echo "------------------"
    
done


