#!bin/sh

dir="/Users/assist/dmz/filter-code/coverage-flatten/aspectj"

versions=$(ls $dir)

for v in $versions
do
    mv  "$dir/$v" "$dir/ASPECTJ-$v"
done



exit
project="$1"
listfile="/Users/assist/Desktop/IRSPcombined/backup/buglocator-slicing-set/method/$project.txt"
sourcedir="/Users/assist/Desktop/IRSPcombined/combined/ir-cv-sp/buglocator/IRwSP_Ranks/method/$project/tarantula/comb_0"
destdir="/Users/assist/Desktop/IRSPcombined/backup/buglocator-slicing-cv/method/$project"

files=$(cat $listfile)

if [ ! -d $destdir ]
then
    mkdir -p $destdir
fi


for file in $files
do
  cp $sourcedir/$file $destdir/$file   
done






exit

ircvaspectjdir="/Users/assist/Desktop/IRSPcombined/ir-cv-data/ir/class/aspectj"

files=$(ls $ircvaspectjdir)
for file in $files
do
    echo $file
    mv $ircvaspectjdir/$file $ircvaspectjdir/ASPECTJ-$file.txt
done



exit

aspectj_dir="/Users/assist/dmz/src/rtp/DLo/amldata/ground_truth/aspectj";

ids=$(ls $aspectj_dir)

for id in $ids
do
    echo "$id" | grep ".txt"
    if [ $? == 0 ]
    then
	no=$(echo "$id" | cut -d"-" -f2)
	echo "$no"
	mv "$aspectj_dir/$id" "$aspectj_dir/ASPECTJ-$no"
	echo "$id has been changed"
    fi    
done
exit


dir="/Users/assist/dmz/ir-dataset/code/aspectj"

projects=$(ls $dir)

for p in $projects
do
    mv "$dir/$p" "$dir/ASPECTJ-$p"
    
done

exit


dir="/Users/assist/dmz/gen-data/4SP/c_classes/rhino"

files=$(ls $dir)
for f in $files
do
    name=$(echo $f | cut -d "." -f1)
    mv $dir/$f $dir/$name.txt
done



exit

results_dir="/Users/assist/dmz/gen-data/sIR_method_and_cv2/out/rhino"
filters_file="/Users/assist/dmz/gen-data/sIR_method_and_slicing2/foundqueries/rhino.txt"

dest_dir="/Users/assist/dmz/gen-data/sIR_method_and_cv2/intersec-w-slicing/rhino"

ids=$(cat $filters_file)

for i in $ids
do
    echo "working on $i"
    cp $results_dir/$i.txt $dest_dir/$i
done











exit

# prepare faulttracer xml files
# move faulttracer-files into faulltracer-files-failed
# copy .faulttracer.xml file to .faulttracer-faile.xml

project="ant53"
codedir="/Users/assist/dmz/ir-dataset/code/$project"

ids=$(ls $codedir)

for i in $ids
do
    if [ -d $codedir/$i/post-fix/faulttracer-files ]
    then
	mv $codedir/$i/post-fix/faulttracer-files $codedir/$i/post-fix/faulttracer-files-failed
    else
	echo "[warning]: something wrong with $i: faulttracer-files folder does not exist"
	exit
    fi

    if [ -f $codedir/$i/post-fix/$i.faulttracer.xml ]
    then
	cp $codedir/$i/post-fix/$i.faulttracer.xml $codedir/$i/post-fix/$i.faulttracer.failed.xml
    else
	echo "[warning] something wrong at $i: faulltracer xml file does not exist"
	exit
    fi    
    
done







exit


QUERY_FILE="/Users/assist/dmz/ir-dataset/queries/lucene37/LUCENE-2504"
CORPUS_DIR="/Users/assist/dmz/gen-data/ir/method-ir/lucene37/all/corpuses/LUCENE-2504/pre-fix"
RESULTS_DIR=""

indrirunquery $QUERY_FILE -index=$CORPUS_DIR/$q/$i -trecFormat=true -count=5000000 > "/Users/assist/Desktop/LUCENE-2504.txt"

exit

aspectj_dir="/Users/assist/dmz/gen-data/ir/method-ir/aspectj/cv/union/java"

ids=$(ls $aspectj_dir)

for i in $ids
do
    echo $i
    mv $aspectj_dir/$i $aspectj_dir/ASPECTJ-$i
done




exit

scriptdir="/Users/assist/dmz/src/rtp/DLo/amldata/test_cases_list/aspectj/xmlTest4FixScripts"
codedir="/Users/assist/dmz/ir-dataset/code/aspectj"
relativepath="post-fix/org.aspectj/modules/tests"

ids=$(ls $codedir)

for id in $ids
do
    #echo $id
    
    #jars=$(ls "$codedir/$id/post-fix/org.aspectj/modules/aj-build/jars" | grep "testing-drivers")


    
    xmls=$(ls $codedir/$id/$relativepath | grep "runtest_")
    for xml in $xmls
    do
	echo "[$id:$xml]" >> $codedir/runtests.log

	log=$(ant -f $codedir/$id/$relativepath/$xml | grep "Suite.Spec")

	echo $log >> $codedir/runtests.log

	echo "------------------------------" >> $codedir/runtests.log

#	cat "runtest1.txt" > $codedir/$id/$relativepath/runtest_$xml
#	echo "<arg value=\"$xml\"/>" >> $codedir/$id/$relativepath/runtest_$xml
#	cat "runtest2.txt" >> $codedir/$id/$relativepath/runtest_$xml
    done
    
    
    
done





